package eu.jonahbauer.wizard.core.states.game;

import eu.jonahbauer.wizard.core.Game;
import eu.jonahbauer.wizard.core.states.GameData;
import eu.jonahbauer.wizard.core.states.GameState;

import java.util.Optional;

public final class Finished extends GameState {
    public Finished() {
        super(GameData.EMPTY);
    }

    @Override
    public Optional<GameState> onEnter(Game context) {
        context.complete(null);
        return Optional.empty();
    }
}
